* {
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    margin: 0;
    color: var(--text);
    background: #fff;
    font: 400 16px/1.6 "Onest", system-ui, sans-serif;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

a {
    color: inherit;
    text-decoration: none;
}

.not {
    position: relative;
    width: 100%;
    min-height: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
}

.not__frame {
    width: 100%;
    max-width: 1440px;
    min-height: 815px;
    height: 100%;
    margin: 0 auto;
    padding: 30px;
}

.not__card {
    position: relative;
    width: 100%;
    max-width: 1380px;
    min-height: 755px;
    border-radius: 24px;
    padding: 70px 0 0;
    overflow: hidden;

    background: linear-gradient(278.11deg, #E6E6FF -0.26%, #FFEBE6 104.69%);
}

.not__bg-video {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
    opacity: 0.9;
}

.not__content {
    position: relative;
    z-index: 1;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}

.not__media {
    margin: 0 0 35px;
    display: flex;
    justify-content: center;
}

.not__media img {
    max-width: 100%;
    width: 100%;
    height: auto;
}

.not__title {
    font-weight: 600;
    font-size: 36px;
    line-height: 100%;
    margin: 0 0 12px;
    color: #0F0F36;
    text-align: center;
}

.not__subtitle {
    margin: 0 auto 48px;
    max-width: 505px;
    font-weight: 400;
    font-size: 20px;
    line-height: 140%;
    text-align: center;
    color: #3E3E5E;
}

.btn {
    max-width: 240px;
    width: 100%;
    padding: 0;

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;

    border-radius: 100px;
    border: 1px solid currentColor;

    cursor: pointer;
    transition: background-color 220ms ease-out,
    color 220ms ease-out,
    border-color 220ms ease-out,
    transform 200ms cubic-bezier(.18, .75, .25, 1),
    box-shadow 220ms ease-out;
    will-change: transform, box-shadow;

    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
}

.btn--primary {
    background: #FF5A33;
    color: #fff;
    border-color: transparent;
}

.btn:hover {
    transform: translateY(-1px);
    box-shadow: 0 10px 24px rgba(15, 17, 56, 0.25);
}

.not__success-btn {
    margin-top: 0;
    height: 56px;
}

@media (max-width: 900px) {
    .not__frame {
        padding: 16px;
        min-height: auto;
    }

    .not__card {
        padding: 32px 20px 40px;
        min-height: auto;
    }

    .not__title {
        font-size: 30px;
    }

    .not__subtitle {
        font-size: 15px;
        margin-bottom: 32px;
    }

    .not__media {
        margin-bottom: 32px;
    }

    .not__success-btn {
        max-width: 100%;
        width: 100%;
    }

}
